Bug fix: Eliminate runtime error
[geeqie.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (C) 2004 Oren Ben-Kiki
18 # This file is distributed under the same terms as the Automake macro files.
19
20 # Generate automatic documentation using Doxygen. Goals and variables values
21 # are controlled by the various DX_COND_??? conditionals set by autoconf.
22 #
23 # The provided goals are:
24 # doxygen-doc: Generate all doxygen documentation.
25 # doxygen-run: Run doxygen, which will generate some of the documentation
26 #              (HTML, CHM, CHI, MAN, RTF, XML) but will not do the post
27 #              processing required for the rest of it (PS, PDF, and some MAN).
28 # doxygen-man: Rename some doxygen generated man pages.
29 # doxygen-ps: Generate doxygen PostScript documentation.
30 # doxygen-pdf: Generate doxygen PDF documentation.
31 #
32 # Note that by default these are not integrated into the automake goals. If
33 # doxygen is used to generate man pages, you can achieve this integration by
34 # setting man3_MANS to the list of man pages generated and then adding the
35 # dependency:
36 #
37 #   $(man3_MANS): doxygen-doc
38 #
39 # This will cause make to run doxygen and generate all the documentation.
40 #
41 # The following variable is intended for use in Makefile.am:
42 #
43 # DX_CLEANFILES = everything to clean.
44 #
45 # This is usually added to MOSTLYCLEANFILES.
46
47 VPATH = @srcdir@
48 am__is_gnu_make = { \
49   if test -z '$(MAKELEVEL)'; then \
50     false; \
51   elif test -n '$(MAKE_HOST)'; then \
52     true; \
53   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54     true; \
55   else \
56     false; \
57   fi; \
58 }
59 am__make_running_with_option = \
60   case $${target_option-} in \
61       ?) ;; \
62       *) echo "am__make_running_with_option: internal error: invalid" \
63               "target option '$${target_option-}' specified" >&2; \
64          exit 1;; \
65   esac; \
66   has_opt=no; \
67   sane_makeflags=$$MAKEFLAGS; \
68   if $(am__is_gnu_make); then \
69     sane_makeflags=$$MFLAGS; \
70   else \
71     case $$MAKEFLAGS in \
72       *\\[\ \   ]*) \
73         bs=\\; \
74         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
76     esac; \
77   fi; \
78   skip_next=no; \
79   strip_trailopt () \
80   { \
81     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82   }; \
83   for flg in $$sane_makeflags; do \
84     test $$skip_next = yes && { skip_next=no; continue; }; \
85     case $$flg in \
86       *=*|--*) continue;; \
87         -*I) strip_trailopt 'I'; skip_next=yes;; \
88       -*I?*) strip_trailopt 'I';; \
89         -*O) strip_trailopt 'O'; skip_next=yes;; \
90       -*O?*) strip_trailopt 'O';; \
91         -*l) strip_trailopt 'l'; skip_next=yes;; \
92       -*l?*) strip_trailopt 'l';; \
93       -[dEDm]) skip_next=yes;; \
94       -[JT]) skip_next=yes;; \
95     esac; \
96     case $$flg in \
97       *$$target_option*) has_opt=yes; break;; \
98     esac; \
99   done; \
100   test $$has_opt = yes
101 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103 pkgdatadir = $(datadir)/@PACKAGE@
104 pkgincludedir = $(includedir)/@PACKAGE@
105 pkglibdir = $(libdir)/@PACKAGE@
106 pkglibexecdir = $(libexecdir)/@PACKAGE@
107 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108 install_sh_DATA = $(install_sh) -c -m 644
109 install_sh_PROGRAM = $(install_sh) -c
110 install_sh_SCRIPT = $(install_sh) -c
111 INSTALL_HEADER = $(INSTALL_DATA)
112 transform = $(program_transform_name)
113 NORMAL_INSTALL = :
114 PRE_INSTALL = :
115 POST_INSTALL = :
116 NORMAL_UNINSTALL = :
117 PRE_UNINSTALL = :
118 POST_UNINSTALL = :
119 subdir = .
120 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
122         $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
126         $(am__configure_deps) $(am__DIST_COMMON)
127 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
128  configure.lineno config.status.lineno
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = config.h
131 CONFIG_CLEAN_FILES = geeqie.spec
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
148         ctags-recursive dvi-recursive html-recursive info-recursive \
149         install-data-recursive install-dvi-recursive \
150         install-exec-recursive install-html-recursive \
151         install-info-recursive install-pdf-recursive \
152         install-ps-recursive install-recursive installcheck-recursive \
153         installdirs-recursive pdf-recursive ps-recursive \
154         tags-recursive uninstall-recursive
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 man1dir = $(mandir)/man1
188 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)" \
189         "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"
190 NROFF = nroff
191 MANS = $(man_MANS)
192 DATA = $(desktop_DATA) $(icon_DATA) $(readme_DATA)
193 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
194   distclean-recursive maintainer-clean-recursive
195 am__recursive_targets = \
196   $(RECURSIVE_TARGETS) \
197   $(RECURSIVE_CLEAN_TARGETS) \
198   $(am__extra_recursive_targets)
199 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
200         cscope distdir distdir-am dist dist-all distcheck
201 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
202         $(LISP)config.h.in
203 # Read a list of newline-separated strings from the standard input,
204 # and print each of them once, without duplicates.  Input order is
205 # *not* preserved.
206 am__uniquify_input = $(AWK) '\
207   BEGIN { nonempty = 0; } \
208   { items[$$0] = 1; nonempty = 1; } \
209   END { if (nonempty) { for (i in items) print i; }; } \
210 '
211 # Make sure the list of sources is unique.  This is necessary because,
212 # e.g., the same source file might be shared among _SOURCES variables
213 # for different programs/libraries.
214 am__define_uniq_tagged_files = \
215   list='$(am__tagged_files)'; \
216   unique=`for i in $$list; do \
217     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
218   done | $(am__uniquify_input)`
219 ETAGS = etags
220 CTAGS = ctags
221 CSCOPE = cscope
222 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
223         $(srcdir)/geeqie.spec.in $(top_srcdir)/aminclude.am \
224         $(top_srcdir)/auxdir/compile $(top_srcdir)/auxdir/install-sh \
225         $(top_srcdir)/auxdir/missing AUTHORS COPYING ChangeLog NEWS \
226         TODO auxdir/compile auxdir/install-sh auxdir/missing
227 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
228 distdir = $(PACKAGE)-$(VERSION)
229 top_distdir = $(distdir)
230 am__remove_distdir = \
231   if test -d "$(distdir)"; then \
232     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
233       && rm -rf "$(distdir)" \
234       || { sleep 5 && rm -rf "$(distdir)"; }; \
235   else :; fi
236 am__post_remove_distdir = $(am__remove_distdir)
237 am__relativize = \
238   dir0=`pwd`; \
239   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
240   sed_rest='s,^[^/]*/*,,'; \
241   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
242   sed_butlast='s,/*[^/]*$$,,'; \
243   while test -n "$$dir1"; do \
244     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
245     if test "$$first" != "."; then \
246       if test "$$first" = ".."; then \
247         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
248         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
249       else \
250         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
251         if test "$$first2" = "$$first"; then \
252           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
253         else \
254           dir2="../$$dir2"; \
255         fi; \
256         dir0="$$dir0"/"$$first"; \
257       fi; \
258     fi; \
259     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
260   done; \
261   reldir="$$dir2"
262 GZIP_ENV = --best
263 DIST_ARCHIVES = $(distdir).tar.xz
264 DIST_TARGETS = dist-xz
265 distuninstallcheck_listfiles = find . -type f -print
266 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
267   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
268 distcleancheck_listfiles = find . -type f -print
269 ACLOCAL = @ACLOCAL@
270 ALL_LINGUAS = @ALL_LINGUAS@
271 AMTAR = @AMTAR@
272 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
273 AUTOCONF = @AUTOCONF@
274 AUTOHEADER = @AUTOHEADER@
275 AUTOMAKE = @AUTOMAKE@
276 AWK = @AWK@
277 CATALOGS = @CATALOGS@
278 CATOBJEXT = @CATOBJEXT@
279 CC = @CC@
280 CCDEPMODE = @CCDEPMODE@
281 CFLAGS = @CFLAGS@
282 CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
283 CLUTTER_GTK_CFLAGS = @CLUTTER_GTK_CFLAGS@
284 CLUTTER_GTK_LIBS = @CLUTTER_GTK_LIBS@
285 CLUTTER_LIBS = @CLUTTER_LIBS@
286 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
287 CPP = @CPP@
288 CPPFLAGS = @CPPFLAGS@
289 CXX = @CXX@
290 CXXDEPMODE = @CXXDEPMODE@
291 CXXFLAGS = @CXXFLAGS@
292 CYGPATH_W = @CYGPATH_W@
293 DATADIRNAME = @DATADIRNAME@
294 DEFS = @DEFS@
295 DEPDIR = @DEPDIR@
296 DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
297 DX_CONFIG = @DX_CONFIG@
298 DX_DOCDIR = @DX_DOCDIR@
299 DX_DOT = @DX_DOT@
300 DX_DOXYGEN = @DX_DOXYGEN@
301 DX_DVIPS = @DX_DVIPS@
302 DX_EGREP = @DX_EGREP@
303 DX_ENV = @DX_ENV@
304 DX_FLAG_DX_CURRENT_FEATURE = @DX_FLAG_DX_CURRENT_FEATURE@
305 DX_FLAG_chi = @DX_FLAG_chi@
306 DX_FLAG_chm = @DX_FLAG_chm@
307 DX_FLAG_doc = @DX_FLAG_doc@
308 DX_FLAG_dot = @DX_FLAG_dot@
309 DX_FLAG_html = @DX_FLAG_html@
310 DX_FLAG_man = @DX_FLAG_man@
311 DX_FLAG_pdf = @DX_FLAG_pdf@
312 DX_FLAG_ps = @DX_FLAG_ps@
313 DX_FLAG_rtf = @DX_FLAG_rtf@
314 DX_FLAG_xml = @DX_FLAG_xml@
315 DX_HHC = @DX_HHC@
316 DX_LATEX = @DX_LATEX@
317 DX_MAKEINDEX = @DX_MAKEINDEX@
318 DX_PDFLATEX = @DX_PDFLATEX@
319 DX_PERL = @DX_PERL@
320 DX_PROJECT = @DX_PROJECT@
321 ECHO_C = @ECHO_C@
322 ECHO_N = @ECHO_N@
323 ECHO_T = @ECHO_T@
324 EGREP = @EGREP@
325 EXEEXT = @EXEEXT@
326 EXIV2_CFLAGS = @EXIV2_CFLAGS@
327 EXIV2_LIBS = @EXIV2_LIBS@
328 FFMPEGTHUMBNAILER_CFLAGS = @FFMPEGTHUMBNAILER_CFLAGS@
329 FFMPEGTHUMBNAILER_LIBS = @FFMPEGTHUMBNAILER_LIBS@
330 GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
331 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
332 GLIB_CFLAGS = @GLIB_CFLAGS@
333 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
334 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
335 GLIB_LIBS = @GLIB_LIBS@
336 GLIB_MKENUMS = @GLIB_MKENUMS@
337 GMOFILES = @GMOFILES@
338 GMSGFMT = @GMSGFMT@
339 GNOME_DOC_TOOL = @GNOME_DOC_TOOL@
340 GOBJECT_QUERY = @GOBJECT_QUERY@
341 GREP = @GREP@
342 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
343 GTHREAD_LIBS = @GTHREAD_LIBS@
344 GTK_CFLAGS = @GTK_CFLAGS@
345 GTK_LIBS = @GTK_LIBS@
346 INSTALL = @INSTALL@
347 INSTALL_DATA = @INSTALL_DATA@
348 INSTALL_PROGRAM = @INSTALL_PROGRAM@
349 INSTALL_SCRIPT = @INSTALL_SCRIPT@
350 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
351 INSTOBJEXT = @INSTOBJEXT@
352 INTLLIBS = @INTLLIBS@
353 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
354 INTLTOOL_MERGE = @INTLTOOL_MERGE@
355 INTLTOOL_PERL = @INTLTOOL_PERL@
356 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
357 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
358 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
359 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
360 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
361 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
362 JPEG_CFLAGS = @JPEG_CFLAGS@
363 JPEG_LIBS = @JPEG_LIBS@
364 LCMS_CFLAGS = @LCMS_CFLAGS@
365 LCMS_LIBS = @LCMS_LIBS@
366 LDFLAGS = @LDFLAGS@
367 LIBCHAMPLAIN_CFLAGS = @LIBCHAMPLAIN_CFLAGS@
368 LIBCHAMPLAIN_GTK_CFLAGS = @LIBCHAMPLAIN_GTK_CFLAGS@
369 LIBCHAMPLAIN_GTK_LIBS = @LIBCHAMPLAIN_GTK_LIBS@
370 LIBCHAMPLAIN_LIBS = @LIBCHAMPLAIN_LIBS@
371 LIBOBJS = @LIBOBJS@
372 LIBS = @LIBS@
373 LTLIBOBJS = @LTLIBOBJS@
374 LUA_CFLAGS = @LUA_CFLAGS@
375 LUA_LIBS = @LUA_LIBS@
376 MAINT = @MAINT@
377 MAKEINFO = @MAKEINFO@
378 MKDIR_P = @MKDIR_P@
379 MKINSTALLDIRS = @MKINSTALLDIRS@
380 MSGFMT = @MSGFMT@
381 MSGFMT_OPTS = @MSGFMT_OPTS@
382 MSGMERGE = @MSGMERGE@
383 OBJEXT = @OBJEXT@
384 PACKAGE = @PACKAGE@
385 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
386 PACKAGE_NAME = @PACKAGE_NAME@
387 PACKAGE_STRING = @PACKAGE_STRING@
388 PACKAGE_TARNAME = @PACKAGE_TARNAME@
389 PACKAGE_URL = @PACKAGE_URL@
390 PACKAGE_VERSION = @PACKAGE_VERSION@
391 PATHSEP = @PATHSEP@
392 PATH_SEPARATOR = @PATH_SEPARATOR@
393 PDF_CFLAGS = @PDF_CFLAGS@
394 PDF_LIBS = @PDF_LIBS@
395 PKG_CONFIG = @PKG_CONFIG@
396 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
397 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
398 POFILES = @POFILES@
399 POSUB = @POSUB@
400 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
401 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
402 SET_MAKE = @SET_MAKE@
403 SHELL = @SHELL@
404 STRIP = @STRIP@
405 TIFF_CFLAGS = @TIFF_CFLAGS@
406 TIFF_LIBS = @TIFF_LIBS@
407 USE_NLS = @USE_NLS@
408 VERSION = @VERSION@
409 WINDRES = @WINDRES@
410 XGETTEXT = @XGETTEXT@
411 abs_builddir = @abs_builddir@
412 abs_srcdir = @abs_srcdir@
413 abs_top_builddir = @abs_top_builddir@
414 abs_top_srcdir = @abs_top_srcdir@
415 ac_ct_CC = @ac_ct_CC@
416 ac_ct_CXX = @ac_ct_CXX@
417 am__include = @am__include@
418 am__leading_dot = @am__leading_dot@
419 am__quote = @am__quote@
420 am__tar = @am__tar@
421 am__untar = @am__untar@
422 appdir = @appdir@
423 bindir = @bindir@
424 build_alias = @build_alias@
425 builddir = @builddir@
426 datadir = @datadir@
427 datarootdir = @datarootdir@
428 docdir = @docdir@
429 dvidir = @dvidir@
430 exec_prefix = @exec_prefix@
431 gq_bindir = @gq_bindir@
432 host_alias = @host_alias@
433 htmldir = @htmldir@
434 includedir = @includedir@
435 infodir = @infodir@
436 install_sh = @install_sh@
437 intltool__v_merge_options_ = @intltool__v_merge_options_@
438 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
439 libdir = @libdir@
440 libexecdir = @libexecdir@
441 localedir = @localedir@
442 localstatedir = @localstatedir@
443 mandir = @mandir@
444 mkdir_p = @mkdir_p@
445 ms_librarian = @ms_librarian@
446 oldincludedir = @oldincludedir@
447 pdfdir = @pdfdir@
448 prefix = @prefix@
449 program_transform_name = @program_transform_name@
450 psdir = @psdir@
451 readmedir = @readmedir@
452 runstatedir = @runstatedir@
453 sbindir = @sbindir@
454 sharedstatedir = @sharedstatedir@
455 srcdir = @srcdir@
456 sysconfdir = @sysconfdir@
457 target_alias = @target_alias@
458 top_build_prefix = @top_build_prefix@
459 top_builddir = @top_builddir@
460 top_srcdir = @top_srcdir@
461 @DX_COND_doc_TRUE@@DX_COND_html_TRUE@DX_CLEAN_HTML = @DX_DOCDIR@/html
462 @DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHM = @DX_DOCDIR@/chm
463 @DX_COND_chi_TRUE@@DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHI = @DX_DOCDIR@/@PACKAGE@.chi
464 @DX_COND_doc_TRUE@@DX_COND_man_TRUE@DX_CLEAN_MAN = @DX_DOCDIR@/man
465 @DX_COND_doc_TRUE@@DX_COND_rtf_TRUE@DX_CLEAN_RTF = @DX_DOCDIR@/rtf
466 @DX_COND_doc_TRUE@@DX_COND_xml_TRUE@DX_CLEAN_XML = @DX_DOCDIR@/xml
467 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_CLEAN_PS = @DX_DOCDIR@/@PACKAGE@.ps
468 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_PS_GOAL = doxygen-ps
469 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_CLEAN_PDF = @DX_DOCDIR@/@PACKAGE@.pdf
470 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_PDF_GOAL = doxygen-pdf
471 @DX_COND_doc_TRUE@@DX_COND_latex_TRUE@DX_CLEAN_LATEX = @DX_DOCDIR@/latex
472 @DX_COND_doc_TRUE@DX_CLEANFILES = \
473 @DX_COND_doc_TRUE@    @DX_DOCDIR@/@PACKAGE@.tag \
474 @DX_COND_doc_TRUE@    -r \
475 @DX_COND_doc_TRUE@    $(DX_CLEAN_HTML) \
476 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHM) \
477 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHI) \
478 @DX_COND_doc_TRUE@    $(DX_CLEAN_MAN) \
479 @DX_COND_doc_TRUE@    $(DX_CLEAN_RTF) \
480 @DX_COND_doc_TRUE@    $(DX_CLEAN_XML) \
481 @DX_COND_doc_TRUE@    $(DX_CLEAN_PS) \
482 @DX_COND_doc_TRUE@    $(DX_CLEAN_PDF) \
483 @DX_COND_doc_TRUE@    $(DX_CLEAN_LATEX)
484
485 SUBDIRS = src po doc plugins
486 DIST_SUBDIRS = src po doc plugins
487 man_MANS = geeqie.1
488 @HAVE_MARKDOWN_FALSE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS ChangeLog.html
489 @HAVE_MARKDOWN_TRUE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS README.html ChangeLog.html
490 desktopdir = $(datadir)/applications
491 desktop_in_files = geeqie.desktop.in
492 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
493 icondir = $(datadir)/pixmaps
494 icon_DATA = geeqie.png
495 EXTRA_DIST = \
496         $(readme_DATA)  \
497         $(desktop_in_files)     \
498         $(icon_DATA)    \
499         geeqie.spec.in  \
500         geeqie.1        \
501         doxygen.conf
502
503 DISTCLEANFILES = config.report
504 CLEANFILES = $(desktop_DATA) ChangeLog.html
505 all: config.h
506         $(MAKE) $(AM_MAKEFLAGS) all-recursive
507
508 .SUFFIXES:
509 am--refresh: Makefile
510         @:
511 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/aminclude.am $(am__configure_deps)
512         @for dep in $?; do \
513           case '$(am__configure_deps)' in \
514             *$$dep*) \
515               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
516               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
517                 && exit 0; \
518               exit 1;; \
519           esac; \
520         done; \
521         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
522         $(am__cd) $(top_srcdir) && \
523           $(AUTOMAKE) --foreign Makefile
524 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
525         @case '$?' in \
526           *config.status*) \
527             echo ' $(SHELL) ./config.status'; \
528             $(SHELL) ./config.status;; \
529           *) \
530             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
531             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
532         esac;
533 $(top_srcdir)/aminclude.am $(am__empty):
534
535 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
536         $(SHELL) ./config.status --recheck
537
538 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
539         $(am__cd) $(srcdir) && $(AUTOCONF)
540 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
541         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
542 $(am__aclocal_m4_deps):
543
544 config.h: stamp-h1
545         @test -f $@ || rm -f stamp-h1
546         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
547
548 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
549         @rm -f stamp-h1
550         cd $(top_builddir) && $(SHELL) ./config.status config.h
551 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
552         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
553         rm -f stamp-h1
554         touch $@
555
556 distclean-hdr:
557         -rm -f config.h stamp-h1
558 geeqie.spec: $(top_builddir)/config.status $(srcdir)/geeqie.spec.in
559         cd $(top_builddir) && $(SHELL) ./config.status $@
560 install-man1: $(man_MANS)
561         @$(NORMAL_INSTALL)
562         @list1=''; \
563         list2='$(man_MANS)'; \
564         test -n "$(man1dir)" \
565           && test -n "`echo $$list1$$list2`" \
566           || exit 0; \
567         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
568         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
569         { for i in $$list1; do echo "$$i"; done;  \
570         if test -n "$$list2"; then \
571           for i in $$list2; do echo "$$i"; done \
572             | sed -n '/\.1[a-z]*$$/p'; \
573         fi; \
574         } | while read p; do \
575           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
576           echo "$$d$$p"; echo "$$p"; \
577         done | \
578         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
579               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
580         sed 'N;N;s,\n, ,g' | { \
581         list=; while read file base inst; do \
582           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
583             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
584             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
585           fi; \
586         done; \
587         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
588         while read files; do \
589           test -z "$$files" || { \
590             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
591             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
592         done; }
593
594 uninstall-man1:
595         @$(NORMAL_UNINSTALL)
596         @list=''; test -n "$(man1dir)" || exit 0; \
597         files=`{ for i in $$list; do echo "$$i"; done; \
598         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
599           sed -n '/\.1[a-z]*$$/p'; \
600         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
601               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
602         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
603 install-desktopDATA: $(desktop_DATA)
604         @$(NORMAL_INSTALL)
605         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
606         if test -n "$$list"; then \
607           echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
608           $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
609         fi; \
610         for p in $$list; do \
611           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
612           echo "$$d$$p"; \
613         done | $(am__base_list) | \
614         while read files; do \
615           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
616           $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
617         done
618
619 uninstall-desktopDATA:
620         @$(NORMAL_UNINSTALL)
621         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
622         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
623         dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
624 install-iconDATA: $(icon_DATA)
625         @$(NORMAL_INSTALL)
626         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
627         if test -n "$$list"; then \
628           echo " $(MKDIR_P) '$(DESTDIR)$(icondir)'"; \
629           $(MKDIR_P) "$(DESTDIR)$(icondir)" || exit 1; \
630         fi; \
631         for p in $$list; do \
632           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
633           echo "$$d$$p"; \
634         done | $(am__base_list) | \
635         while read files; do \
636           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icondir)'"; \
637           $(INSTALL_DATA) $$files "$(DESTDIR)$(icondir)" || exit $$?; \
638         done
639
640 uninstall-iconDATA:
641         @$(NORMAL_UNINSTALL)
642         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
643         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
644         dir='$(DESTDIR)$(icondir)'; $(am__uninstall_files_from_dir)
645 install-readmeDATA: $(readme_DATA)
646         @$(NORMAL_INSTALL)
647         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
648         if test -n "$$list"; then \
649           echo " $(MKDIR_P) '$(DESTDIR)$(readmedir)'"; \
650           $(MKDIR_P) "$(DESTDIR)$(readmedir)" || exit 1; \
651         fi; \
652         for p in $$list; do \
653           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
654           echo "$$d$$p"; \
655         done | $(am__base_list) | \
656         while read files; do \
657           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(readmedir)'"; \
658           $(INSTALL_DATA) $$files "$(DESTDIR)$(readmedir)" || exit $$?; \
659         done
660
661 uninstall-readmeDATA:
662         @$(NORMAL_UNINSTALL)
663         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
664         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
665         dir='$(DESTDIR)$(readmedir)'; $(am__uninstall_files_from_dir)
666
667 # This directory's subdirectories are mostly independent; you can cd
668 # into them and run 'make' without going through this Makefile.
669 # To change the values of 'make' variables: instead of editing Makefiles,
670 # (1) if the variable is set in 'config.status', edit 'config.status'
671 #     (which will cause the Makefiles to be regenerated when you run 'make');
672 # (2) otherwise, pass the desired values on the 'make' command line.
673 $(am__recursive_targets):
674         @fail=; \
675         if $(am__make_keepgoing); then \
676           failcom='fail=yes'; \
677         else \
678           failcom='exit 1'; \
679         fi; \
680         dot_seen=no; \
681         target=`echo $@ | sed s/-recursive//`; \
682         case "$@" in \
683           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
684           *) list='$(SUBDIRS)' ;; \
685         esac; \
686         for subdir in $$list; do \
687           echo "Making $$target in $$subdir"; \
688           if test "$$subdir" = "."; then \
689             dot_seen=yes; \
690             local_target="$$target-am"; \
691           else \
692             local_target="$$target"; \
693           fi; \
694           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
695           || eval $$failcom; \
696         done; \
697         if test "$$dot_seen" = "no"; then \
698           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
699         fi; test -z "$$fail"
700
701 ID: $(am__tagged_files)
702         $(am__define_uniq_tagged_files); mkid -fID $$unique
703 tags: tags-recursive
704 TAGS: tags
705
706 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
707         set x; \
708         here=`pwd`; \
709         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
710           include_option=--etags-include; \
711           empty_fix=.; \
712         else \
713           include_option=--include; \
714           empty_fix=; \
715         fi; \
716         list='$(SUBDIRS)'; for subdir in $$list; do \
717           if test "$$subdir" = .; then :; else \
718             test ! -f $$subdir/TAGS || \
719               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
720           fi; \
721         done; \
722         $(am__define_uniq_tagged_files); \
723         shift; \
724         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
725           test -n "$$unique" || unique=$$empty_fix; \
726           if test $$# -gt 0; then \
727             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
728               "$$@" $$unique; \
729           else \
730             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
731               $$unique; \
732           fi; \
733         fi
734 ctags: ctags-recursive
735
736 CTAGS: ctags
737 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
738         $(am__define_uniq_tagged_files); \
739         test -z "$(CTAGS_ARGS)$$unique" \
740           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
741              $$unique
742
743 GTAGS:
744         here=`$(am__cd) $(top_builddir) && pwd` \
745           && $(am__cd) $(top_srcdir) \
746           && gtags -i $(GTAGS_ARGS) "$$here"
747 cscope: cscope.files
748         test ! -s cscope.files \
749           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
750 clean-cscope:
751         -rm -f cscope.files
752 cscope.files: clean-cscope cscopelist
753 cscopelist: cscopelist-recursive
754
755 cscopelist-am: $(am__tagged_files)
756         list='$(am__tagged_files)'; \
757         case "$(srcdir)" in \
758           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
759           *) sdir=$(subdir)/$(srcdir) ;; \
760         esac; \
761         for i in $$list; do \
762           if test -f "$$i"; then \
763             echo "$(subdir)/$$i"; \
764           else \
765             echo "$$sdir/$$i"; \
766           fi; \
767         done >> $(top_builddir)/cscope.files
768
769 distclean-tags:
770         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
771         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
772
773 distdir: $(BUILT_SOURCES)
774         $(MAKE) $(AM_MAKEFLAGS) distdir-am
775
776 distdir-am: $(DISTFILES)
777         $(am__remove_distdir)
778         test -d "$(distdir)" || mkdir "$(distdir)"
779         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
780         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
781         list='$(DISTFILES)'; \
782           dist_files=`for file in $$list; do echo $$file; done | \
783           sed -e "s|^$$srcdirstrip/||;t" \
784               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
785         case $$dist_files in \
786           */*) $(MKDIR_P) `echo "$$dist_files" | \
787                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
788                            sort -u` ;; \
789         esac; \
790         for file in $$dist_files; do \
791           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
792           if test -d $$d/$$file; then \
793             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
794             if test -d "$(distdir)/$$file"; then \
795               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
796             fi; \
797             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
798               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
799               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
800             fi; \
801             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
802           else \
803             test -f "$(distdir)/$$file" \
804             || cp -p $$d/$$file "$(distdir)/$$file" \
805             || exit 1; \
806           fi; \
807         done
808         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
809           if test "$$subdir" = .; then :; else \
810             $(am__make_dryrun) \
811               || test -d "$(distdir)/$$subdir" \
812               || $(MKDIR_P) "$(distdir)/$$subdir" \
813               || exit 1; \
814             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
815             $(am__relativize); \
816             new_distdir=$$reldir; \
817             dir1=$$subdir; dir2="$(top_distdir)"; \
818             $(am__relativize); \
819             new_top_distdir=$$reldir; \
820             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
821             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
822             ($(am__cd) $$subdir && \
823               $(MAKE) $(AM_MAKEFLAGS) \
824                 top_distdir="$$new_top_distdir" \
825                 distdir="$$new_distdir" \
826                 am__remove_distdir=: \
827                 am__skip_length_check=: \
828                 am__skip_mode_fix=: \
829                 distdir) \
830               || exit 1; \
831           fi; \
832         done
833         $(MAKE) $(AM_MAKEFLAGS) \
834           top_distdir="$(top_distdir)" distdir="$(distdir)" \
835           dist-hook
836         -test -n "$(am__skip_mode_fix)" \
837         || find "$(distdir)" -type d ! -perm -755 \
838                 -exec chmod u+rwx,go+rx {} \; -o \
839           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
840           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
841           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
842         || chmod -R a+r "$(distdir)"
843 dist-gzip: distdir
844         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
845         $(am__post_remove_distdir)
846
847 dist-bzip2: distdir
848         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
849         $(am__post_remove_distdir)
850
851 dist-lzip: distdir
852         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
853         $(am__post_remove_distdir)
854 dist-xz: distdir
855         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
856         $(am__post_remove_distdir)
857
858 dist-tarZ: distdir
859         @echo WARNING: "Support for distribution archives compressed with" \
860                        "legacy program 'compress' is deprecated." >&2
861         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
862         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
863         $(am__post_remove_distdir)
864
865 dist-shar: distdir
866         @echo WARNING: "Support for shar distribution archives is" \
867                        "deprecated." >&2
868         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
869         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
870         $(am__post_remove_distdir)
871
872 dist-zip: distdir
873         -rm -f $(distdir).zip
874         zip -rq $(distdir).zip $(distdir)
875         $(am__post_remove_distdir)
876
877 dist dist-all:
878         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
879         $(am__post_remove_distdir)
880
881 # This target untars the dist file and tries a VPATH configuration.  Then
882 # it guarantees that the distribution is self-contained by making another
883 # tarfile.
884 distcheck: dist
885         case '$(DIST_ARCHIVES)' in \
886         *.tar.gz*) \
887           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
888         *.tar.bz2*) \
889           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
890         *.tar.lz*) \
891           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
892         *.tar.xz*) \
893           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
894         *.tar.Z*) \
895           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
896         *.shar.gz*) \
897           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
898         *.zip*) \
899           unzip $(distdir).zip ;;\
900         esac
901         chmod -R a-w $(distdir)
902         chmod u+w $(distdir)
903         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
904         chmod a-w $(distdir)
905         test -d $(distdir)/_build || exit 0; \
906         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
907           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
908           && am__cwd=`pwd` \
909           && $(am__cd) $(distdir)/_build/sub \
910           && ../../configure \
911             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
912             $(DISTCHECK_CONFIGURE_FLAGS) \
913             --srcdir=../.. --prefix="$$dc_install_base" \
914           && $(MAKE) $(AM_MAKEFLAGS) \
915           && $(MAKE) $(AM_MAKEFLAGS) dvi \
916           && $(MAKE) $(AM_MAKEFLAGS) check \
917           && $(MAKE) $(AM_MAKEFLAGS) install \
918           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
919           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
920           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
921                 distuninstallcheck \
922           && chmod -R a-w "$$dc_install_base" \
923           && ({ \
924                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
925                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
926                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
927                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
928                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
929               } || { rm -rf "$$dc_destdir"; exit 1; }) \
930           && rm -rf "$$dc_destdir" \
931           && $(MAKE) $(AM_MAKEFLAGS) dist \
932           && rm -rf $(DIST_ARCHIVES) \
933           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
934           && cd "$$am__cwd" \
935           || exit 1
936         $(am__post_remove_distdir)
937         @(echo "$(distdir) archives ready for distribution: "; \
938           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
939           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
940 distuninstallcheck:
941         @test -n '$(distuninstallcheck_dir)' || { \
942           echo 'ERROR: trying to run $@ with an empty' \
943                '$$(distuninstallcheck_dir)' >&2; \
944           exit 1; \
945         }; \
946         $(am__cd) '$(distuninstallcheck_dir)' || { \
947           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
948           exit 1; \
949         }; \
950         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
951            || { echo "ERROR: files left after uninstall:" ; \
952                 if test -n "$(DESTDIR)"; then \
953                   echo "  (check DESTDIR support)"; \
954                 fi ; \
955                 $(distuninstallcheck_listfiles) ; \
956                 exit 1; } >&2
957 distcleancheck: distclean
958         @if test '$(srcdir)' = . ; then \
959           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
960           exit 1 ; \
961         fi
962         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
963           || { echo "ERROR: files left in build directory after distclean:" ; \
964                $(distcleancheck_listfiles) ; \
965                exit 1; } >&2
966 check-am: all-am
967 check: check-recursive
968 all-am: Makefile $(MANS) $(DATA) config.h
969 installdirs: installdirs-recursive
970 installdirs-am:
971         for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"; do \
972           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
973         done
974 install: install-recursive
975 install-exec: install-exec-recursive
976 install-data: install-data-recursive
977 uninstall: uninstall-recursive
978
979 install-am: all-am
980         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
981
982 installcheck: installcheck-recursive
983 install-strip:
984         if test -z '$(STRIP)'; then \
985           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
986             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
987               install; \
988         else \
989           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
990             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
991             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
992         fi
993 mostlyclean-generic:
994
995 clean-generic:
996         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
997
998 distclean-generic:
999         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1000         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1001         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1002
1003 maintainer-clean-generic:
1004         @echo "This command is intended for maintainers to use"
1005         @echo "it deletes files that may require special tools to rebuild."
1006 clean: clean-recursive
1007
1008 clean-am: clean-generic mostlyclean-am
1009
1010 distclean: distclean-recursive
1011         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1012         -rm -f Makefile
1013 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
1014
1015 dvi: dvi-recursive
1016
1017 dvi-am:
1018
1019 html: html-recursive
1020
1021 html-am:
1022
1023 info: info-recursive
1024
1025 info-am:
1026
1027 install-data-am: install-desktopDATA install-iconDATA install-man \
1028         install-readmeDATA
1029
1030 install-dvi: install-dvi-recursive
1031
1032 install-dvi-am:
1033
1034 install-exec-am:
1035
1036 install-html: install-html-recursive
1037
1038 install-html-am:
1039
1040 install-info: install-info-recursive
1041
1042 install-info-am:
1043
1044 install-man: install-man1
1045
1046 install-pdf: install-pdf-recursive
1047
1048 install-pdf-am:
1049
1050 install-ps: install-ps-recursive
1051
1052 install-ps-am:
1053
1054 installcheck-am:
1055
1056 maintainer-clean: maintainer-clean-recursive
1057         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1058         -rm -rf $(top_srcdir)/autom4te.cache
1059         -rm -f Makefile
1060 maintainer-clean-am: distclean-am maintainer-clean-generic
1061
1062 mostlyclean: mostlyclean-recursive
1063
1064 mostlyclean-am: mostlyclean-generic
1065
1066 pdf: pdf-recursive
1067
1068 pdf-am:
1069
1070 ps: ps-recursive
1071
1072 ps-am:
1073
1074 uninstall-am: uninstall-desktopDATA uninstall-iconDATA uninstall-man \
1075         uninstall-readmeDATA
1076
1077 uninstall-man: uninstall-man1
1078
1079 .MAKE: $(am__recursive_targets) all install-am install-strip
1080
1081 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1082         am--refresh check check-am clean clean-cscope clean-generic \
1083         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1084         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
1085         dist-zip distcheck distclean distclean-generic distclean-hdr \
1086         distclean-tags distcleancheck distdir distuninstallcheck dvi \
1087         dvi-am html html-am info info-am install install-am \
1088         install-data install-data-am install-desktopDATA install-dvi \
1089         install-dvi-am install-exec install-exec-am install-html \
1090         install-html-am install-iconDATA install-info install-info-am \
1091         install-man install-man1 install-pdf install-pdf-am install-ps \
1092         install-ps-am install-readmeDATA install-strip installcheck \
1093         installcheck-am installdirs installdirs-am maintainer-clean \
1094         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1095         pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1096         uninstall-desktopDATA uninstall-iconDATA uninstall-man \
1097         uninstall-man1 uninstall-readmeDATA
1098
1099 .PRECIOUS: Makefile
1100
1101
1102 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@doxygen-ps: @DX_DOCDIR@/@PACKAGE@.ps
1103
1104 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@@DX_DOCDIR@/@PACKAGE@.ps: @DX_DOCDIR@/@PACKAGE@.tag
1105 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     cd @DX_DOCDIR@/latex; \
1106 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1107 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1108 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(MAKEINDEX_PATH) refman.idx; \
1109 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1110 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     countdown=5; \
1111 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1112 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@                       refman.log > /dev/null 2>&1 \
1113 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@        && test $$countdown -gt 0; do \
1114 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         $(DX_LATEX) refman.tex; \
1115 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         countdown=`expr $$countdown - 1`; \
1116 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     done; \
1117 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_DVIPS) -o ../@PACKAGE@.ps refman.dvi
1118
1119 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@doxygen-pdf: @DX_DOCDIR@/@PACKAGE@.pdf
1120
1121 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@@DX_DOCDIR@/@PACKAGE@.pdf: @DX_DOCDIR@/@PACKAGE@.tag
1122 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    cd @DX_DOCDIR@/latex; \
1123 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1124 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1125 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_MAKEINDEX) refman.idx; \
1126 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1127 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    countdown=5; \
1128 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1129 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@                      refman.log > /dev/null 2>&1 \
1130 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@       && test $$countdown -gt 0; do \
1131 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        $(DX_PDFLATEX) refman.tex; \
1132 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        countdown=`expr $$countdown - 1`; \
1133 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    done; \
1134 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    mv refman.pdf ../@PACKAGE@.pdf
1135
1136 @DX_COND_doc_TRUE@.PHONY: doxygen-run doxygen-doc $(DX_PS_GOAL) $(DX_PDF_GOAL)
1137
1138 @DX_COND_doc_TRUE@.INTERMEDIATE: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1139
1140 @DX_COND_doc_TRUE@doxygen-run: @DX_DOCDIR@/@PACKAGE@.tag
1141
1142 @DX_COND_doc_TRUE@doxygen-doc: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1143
1144 @DX_COND_doc_TRUE@@DX_DOCDIR@/@PACKAGE@.tag: $(DX_CONFIG) $(pkginclude_HEADERS)
1145 @DX_COND_doc_TRUE@      rm -rf @DX_DOCDIR@
1146 @DX_COND_doc_TRUE@      $(DX_ENV) $(DX_DOXYGEN) $(srcdir)/$(DX_CONFIG)
1147 @INTLTOOL_DESKTOP_RULE@
1148
1149 dist-hook: geeqie.spec
1150         cp $(top_builddir)/geeqie.spec $(distdir)
1151
1152 .PHONY: ChangeLog
1153 ChangeLog.html:
1154         ./gen_changelog.sh
1155
1156 README.html: README.md
1157         ./gen_readme.sh
1158
1159 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1160 # Otherwise a system limit (for SysV at least) may be exceeded.
1161 .NOEXPORT: